000001 IDENTIFICATION DIVISION.
000002 PROGRAM-ID.  FMTDEMO.
000003*    This program is a demonstration of the Format Module.
000004*    It present a series of screens and uses STOP to wait
000005*    Between each screen. This allows the use of Esc to
000006*    terminate the demonstration at any time.
000007 ENVIRONMENT DIVISION.
000008 CONFIGURATION SECTION.
000009 SPECIAL-NAMES.
000010     DATE IS "S-".
000011*    A- American, E- European.
000012 INPUT-OUTPUT SECTION.
000013 FILE-CONTROL.
000014 DATA DIVISION.
000015 WORKING-STORAGE SECTION.
000016 01  FORMAT-HEADING.
000017     05  VALUE "|ANN|C0101|E6080|ANL|Z|C1310|W2860".
000018     05  VALUE " FORMAT MODULE DEMONSTRATION|C1510".
000019     05  VALUE "|NThis program demonstrates the features".
000020     05  VALUE " of the Format Module.".
000021     05  VALUE "|N|NIf you print FmtDemo.Cob, you are".
000022     05  VALUE " able to follow the display".
000023     05  VALUE "|Nin the source code.".
000024     05  VALUE "|N|NEach step of the demonstration is".
000025     05  VALUE " identified by the step ".
000026     05  VALUE "|Nnumber in the title at the".
000027     05  VALUE " top right of the screen, and".
000028     05  VALUE "|Nwhich can be seen in the source code.".
000029     05  VALUE "|N|NPress Enter or Space to proceed ".
000030     05  VALUE "from screen to screen,|Nor press ".
000031     05  VALUE "the Esc key to exit at any time.".
000032     05  VALUE "|X".
000033 01  STEP-1.
000034     05  VALUE "|GFORMAT MODULE DEMONSTRATION".
000035     05  VALUE "|AWB|C0268STEP 1|ANL".
000036     05  VALUE "|C0509.1....v....2....v....3....v".
000037     05  VALUE "....4....v....5....v....6....v....7".
000038     05  VALUE "....v....".
000039     05  VALUE "|C0502...5...|C0504".
000040     05  VALUE "|N 7|N 9|N11|N13|N15|N17|N19".
000041     05  VALUE "|N21|N23|N25|N27|N29|N31|N33|N35|N37".
000042     05  VALUE "|N39|N41|N43|N45|N47|N49|N51|N53|N55".
000043     05  VALUE "|N57".
000044     05  VALUE "|C06096|C0608".
000045     05  VALUE "|N 8|N10|N12|N14|N16|N18|N20|N22".
000046     05  VALUE "|N24|N26|N28|N30|N32|N34|N36|N38|N40|N42".
000047     05  VALUE "|N44|N46|N48|N50|N52|N54|N56|N58".
000048     05  VALUE "|C1020This is a ||G general window full".
000049     05  VALUE " screen|Nbut with no comment field.".
000050     05  VALUE "|N|NThe free columns are 2-79, shown by".
000051     05  VALUE " the|Nnumbers across the top.".
000052     05  VALUE "|N|NThere are a maximum of 27 lines down".
000053     05  VALUE " the|Nscreen,".
000054     05  VALUE "in rows 5-57 or 6-58, as shown by".
000055     05  VALUE "|Nthe numbers down the left side of the".
000056     05  VALUE "|Nthe screen.|X".
000057 01  STEP-2.
000058     05  VALUE "|VFORMAT MODULE DEMONSTRATION".
000059     05  VALUE "|AWB|C0268STEP 2|ANL".
000060     05  VALUE "|C0504.v....1....v....2....v....3....v".
000061     05  VALUE "....4....v....5....v....6....v....7".
000062     05  VALUE "....v....".
000063     05  VALUE "|C0502...5...|C0504".
000064     05  VALUE "|N 7|N 9|N11|N13|N15|N17|N19".
000065     05  VALUE "|N21|N23|N25|N27|N29|N31|N33|N35|N37".
000066     05  VALUE "|N39|N41|N43|N45|N47|N49|N51|N53|N55".
000067     05  VALUE "|C06096|C0608".
000068     05  VALUE "|N 8|N10|N12|N14|N16|N18|N20|N22".
000069     05  VALUE "|N24|N26|N28|N30|N32|N34|N36|N38|N40|N42".
000070     05  VALUE "|N44|N46|N48|N50|N52|N54".
000071     05  VALUE "|C1020This is a ||V video full screen ".
000072     05  VALUE "window,|Ntogether with a comment field.".
000073     05  VALUE "|N|NThe free columns are 2-79, the same ".
000074     05  VALUE "as|Nfor the 'G' window.".
000075     05  VALUE "|N|NThere are a maximum of 26 lines down".
000076     05  VALUE " the|Nscreen,".
000077     05  VALUE "in rows 5-55 or 6-54, as shown by".
000078     05  VALUE "|Nthe numbers down the left side of the".
000079     05  VALUE "|Nthe screen.|X".
000080 01  STEP-3.
000081     05  VALUE "|VFORMAT MODULE DEMONSTRATION".
000082     05  VALUE "|AWB|C0268STEP 3|ANL".
000083     05  VALUE "|C1020Here are examples of buttons.".
000084     05  VALUE "|C1320|B0208B_utton".
000085     05  VALUE "|C1330|B0410 Two-line|N button".
000086     05  VALUE "|C2120And here you can see the result".
000087     05  VALUE " of not leaving a|Ncolumn between them.".
000088     05  VALUE "|C2620|B0215 Normal button ".
000089     05  VALUE "|C2635|B0215 No column left".
000090     05  VALUE "|C3020And here, only two rows have been".
000091     05  VALUE " left vertically".
000092     05  VALUE "|C3530|B0215 Normal button".
000093     05  VALUE "|C3730|B0215 Two rows down".
000094     05  VALUE "|X".
000095 01  STEP-4.
000096     05  VALUE "|AWB|C0268STEP 4|ANL".
000097     05  VALUE "|C0505|E3675".
000098     05  VALUE "|C1020These are examples of field boxes.".
000099     05  VALUE "|NAt least one column and one blank row".
000100     05  VALUE "|Nshould be left between them, just as".
000101     05  VALUE "|Nyou do for buttons.".
000102     05  VALUE "|C1920|F0211|C1935|F1311|X".
000103 01  STEP-5.
000104     05  VALUE "|AWB|C0268STEP 5|ANL".
000105     05  VALUE "|C2520A Down button has been inserted in".
000106     05  VALUE "|Nthis next box. You could use this as".
000107     05  VALUE "|Na button to select a drop-down list".
000108     05  VALUE "|Nfrom which to make a selection".
000109     05  VALUE "|C3420|F0213|C3431|D|X".
000110 01  STEP-6.
000111     05  VALUE "|AWB|C0268STEP 6|ANL".
000112     05  VALUE "|ANC|C3620|L1211".
000113     05  VALUE "Amsterdam".
000114     05  VALUE "|NBristol".
000115     05  VALUE "|NChicago".
000116     05  VALUE "|NDunedin".
000117     05  VALUE "|NEdmonton".
000118     05  VALUE "|NFrankton".
000119     05  VALUE "|ANL|C3735".
000120     05  VALUE "This is the sort of list that could be".
000121     05  VALUE "|Nused, with ||L.".
000122     05  VALUE "|NIt could then be defined as a menu".
000123     05  VALUE "|Nfrom which to make a selection.".
000124     05  VALUE "|NIf you do though, remember that the".
000125     05  VALUE "|Nnames must be defined as data for the".
000126     05  VALUE "|Nthe menu items, not included here.".
000127     05  VALUE "|X".
000128 01  STEP-7.
000129     05  VALUE "|AWB|C0268STEP 7|ANL".
000130     05  VALUE "|R".
000131     05  VALUE "|C3705This step |Nhas used ||R".
000132     05  VALUE "|Nto remove|Nthe list.|X".
000133 01  STEP-8.
000134     05  VALUE "|VFORMAT MODULE DEMONSTRATION".
000135     05  VALUE "|AWB|C0268STEP 8|ANL".
000136     05  VALUE "|C1020These are examples of plotted".
000137     05  VALUE " lines and boxes.".
000138     05  VALUE "|NBear in mind that the columns and rows".
000139     05  VALUE " that you specify".
000140     05  VALUE "|Nare where the lines".
000141     05  VALUE " are actually plotted,|Nunlike other".
000142     05  VALUE " other constructs.".
000143     05  VALUE "|C2020|P1111|C2035|P1100|C2040|P0011".
000144     05  VALUE "|X".
000145 01  STEP-9.
000146     05  VALUE "|AWB|C0268STEP 9|ANL".
000147     05  VALUE "|C3604|W1535|C3604|P1535".
000148     05  VALUE "|C3605".
000149*                 ..1....V....2....V....3....V....4
000150     05  VALUE "|NFor example, this is a ||W window".
000151     05  VALUE "|N(without a heading) and a plotted".
000152     05  VALUE "|Nbox within it. Both constructs".
000153     05  VALUE "|Nhave the same rows and columns,".
000154     05  VALUE "|Nas seen in the source code.".
000155     05  VALUE "|X".
000156 01  STEP-10.
000157     05  VALUE "|AWB|C0268STEP 10|ANL".
000158     05  VALUE "|C3642|W1536Sub-window Title".
000159     05  VALUE "|C3842".
000160*                 ...v....5....v....6....v....7....v..
000161     05  VALUE "|NHere is a window of the same size".
000162     05  VALUE "|Nexcept that this one has a title".
000163     05  VALUE "|Nand no plotted box.|X".
000164 01  STEP-11.
000165     05  VALUE "|VFORMAT MODULE DEMONSTRATION".
000166     05  VALUE "|AWB|C0268STEP 11|ANL".
000167     05  VALUE "|ALT|C1923|E1936|C2225".
000168     05  VALUE "|NThis block has been cleared to ".
000169     05  VALUE "|Nbrown to demonstrate the display".
000170     05  VALUE "|Nof a Message Box, and the later".
000171     05  VALUE "|Nrestore of the original display".
000172     05  VALUE "|Nusing ||R.|X".
000173 01  STEP-12.
000174     05  VALUE "|AWB|C0268STEP 12|ANL".
000175     05  VALUE "|M2Message Box|N".
000176*               ....v....1....v....2....v....3....
000177     05  VALUE "Messages may be up to 4 lines|N".
000178     05  VALUE "long, and each line may have up|N".
000179     05  VALUE "to 34 characters|N".
000180     05  VALUE "....v....1....v....2....v....3....|X".
000181 01  STEP-13.
000182     05  VALUE "|AWB|C0268STEP 13|ANL".
000183     05  VALUE "|R|C3826".
000184     05  VALUE "|NThe original display has been".
000185     05  VALUE "|Nrestored above, using ||R.|X".
000186 01  STEP-14.
000187     05  VALUE "|GFORMAT MODULE DEMONSTRATION".
000188     05  VALUE "|AWB|C0268STEP 14|ANL".
000189     05  VALUE "|C0504|IM|IE|IC|II".
000190     05  VALUE "|C0517|IU|ID|IL|IR|IT|IB ".
000191     05  VALUE "|C0536|IA|IN|IP|IZ".
000192     05  VALUE "|C0804 M  E  C  I   U  D  L  R  T  B".
000193     05  VALUE "|C0836 A  N  P  Z".
000194     05  VALUE "|C1204|IF|IH|IQ|IX".
000195     05  VALUE "|C1217|IS|IO|IV|IW|IG|IK".
000196     05  VALUE "|C1236|Ia|In|Ip|Iz".
000197     05  VALUE "|C1504 F  H  Q  X   S  O  V  W  G  K".
000198     05  VALUE "|C1536 a  n  p  z".
000199     05  VALUE "|C0350".
000200*                 5....v....6....v....7....v...
000201     05  VALUE "|NThis is the full set of icons".
000202     05  VALUE "|Navailable. They are shown in".
000203     05  VALUE "|Ntwo lines of three blocks.|X".
000204 01  STEP-15.
000205     05  VALUE "|AWB|C0268STEP 15|ANL".
000206     05  VALUE "|C2150".
000207     05  VALUE "|NThese tables show the icons".
000208     05  VALUE "|Ntogether with each of their".
000209     05  VALUE "|Ndescriptions.".
000210     05  VALUE "|NNote that the descriptions".
000211     05  VALUE "|Nare only notional; the icons".
000212     05  VALUE "|Nmay be used in any way.".
000213     05  VALUE "|C1804|IM|C1808Mark (select)".
000214     05  VALUE "|C2104|IE|C2108Erase (scissors)".
000215     05  VALUE "|C2404|IC|C2408Copy".
000216     05  VALUE "|C2704|II|C2708Insert (paste)".
000217     05  VALUE "|C3004|IU|C3008Up arrow".
000218     05  VALUE "|C3304|ID|C3308Down arrow".
000219     05  VALUE "|C3604|IL|C3608Left arrow".
000220     05  VALUE "|C3904|IR|C3908Right arrow".
000221     05  VALUE "|C4204|IT|C4208Tick".
000222     05  VALUE "|C4504|IB |C4508Blank".
000223     05  VALUE "|C4804|IA|C4808First vertical".
000224     05  VALUE "|C5104|IN|C5108Next vertical".
000225     05  VALUE "|C5404|IP|C5408Prior vertical".
000226     05  VALUE "|C5704|IZ|C5708Last vertical".
000227     05  VALUE "|C1826|IF|C1830Find".
000228     05  VALUE "|C2126|IH|C2130Help".
000229     05  VALUE "|C2426|IQ|C2430Query".
000230     05  VALUE "|C2726|IX|C2730X (delete)".
000231     05  VALUE "|C3026|IS|C3030Save".
000232     05  VALUE "|C3326|IO|C3330Output (print)".
000233     05  VALUE "|C3626|IV|C3630View list".
000234     05  VALUE "|C3926|IW|C3930Window - full".
000235     05  VALUE "|C4226|IG|C4230Get subform".
000236     05  VALUE "|C4526|IK|C4530Keep record (enter)".
000237     05  VALUE "|C4826|Ia|C4830First horizontal".
000238     05  VALUE "|C5126|In|C5130Next horizontal".
000239     05  VALUE "|C5426|Ip|C5430Prior horizontal".
000240     05  VALUE "|C5726|Iz|C5730Last horizontal".
000241     05  VALUE "|X".
000242 01  STEP-16.
000243     05  VALUE "|VFORMAT MODULE DEMONSTRATION".
000244     05  VALUE "|AWB|C0268STEP 16|ANL".
000245     05  VALUE "|TD|C1003Font ||TD (default)|N".
000246*                 ....v....1....v....2....
000247     05  VALUE "|NSo far only the default".
000248     05  VALUE "|NDos standard font has".
000249     05  VALUE "|Nbeen used here, such as".
000250     05  VALUE "|Nthis text".
000251     05  VALUE "|NThe columns to the right".
000252     05  VALUE "|Ngive examples of the".
000253     05  VALUE "|Nother two fonts.".
000254     05  VALUE "|C3803Special characters not".
000255     05  VALUE "|Navailable in Dos:".
000256     05  VALUE "|N   Circle  ~".
000257     05  VALUE "|N   Tick    `".
000258     05  VALUE "|C34030123456789".
000259     05  VALUE "|TC|C1028Font ||TC Courier|N".
000260*                 ....v....1....v....2....
000261     05  VALUE "|NThis font is based on".
000262     05  VALUE "|Nthe Courier type. The".
000263     05  VALUE "|Ncharacters are much".
000264     05  VALUE "|Nthinner, as can be seen".
000265     05  VALUE "|Nfrom this example".
000266     05  VALUE "|NIt can be used for help".
000267     05  VALUE "|Ntext, to distinguish it".
000268     05  VALUE "|Nfrom the rest of the".
000269     05  VALUE "|Nscreen".
000270     05  VALUE "|C4228     ~|N     `".
000271     05  VALUE "|C34280123456789".
000272     05  VALUE "|TF|C1053Font ||TF FixedSys|N".
000273*                 ....v....1....v....2....
000274     05  VALUE "|NBased on the Windows".
000275     05  VALUE "|NFixedSys font, it may be".
000276     05  VALUE "|Npreferred instead of the".
000277     05  VALUE "|NDos type, with cleaner".
000278     05  VALUE "|Ncharacters".
000279     05  VALUE "|C4253     ~|N     `".
000280     05  VALUE "|C34530123456789".
000281     05  VALUE "|TD|X".
000282 01  STEP-17.
000283     05  VALUE "|VFORMAT MODULE DEMONSTRATION".
000284     05  VALUE "|AWB|C0268STEP 17|ANL".
000285     05  VALUE "|C0412".
000286     05  VALUE "|NThis screen shows the range of colour ".
000287     05  VALUE "combinations provided,|Nand the codes ".
000288     05  VALUE "required to achieve them.".
000289     05  VALUE "|NThe blank entries are where the ".
000290     05  VALUE "foreground and background codes ".
000291     05  VALUE "|Nare the same.".
000292     05  VALUE "|C1402On:".
000293     05  VALUE "|N|NNone|N|NBlue|N|NWhite|N|NLgt gray".
000294     05  VALUE "|N|NDk gray|N|NRed|N|NTan|N|NGreen".
000295     05  VALUE "|N|NYellow|N|NCyan".
000296     05  VALUE "|C1412".
000297     05  VALUE "|N|N|ANN ||ANN |N|N|ANB ||ANB ".
000298     05  VALUE "|N|N|ANW ||ANW |N|N|ANL ||ANL ".
000299     05  VALUE "|N|N|AND ||AND |N|N|ANR ||ANR ".
000300     05  VALUE "|N|N|ANT ||ANT |N|N|ANG ||ANG ".
000301     05  VALUE "|N|N|ANY ||ANY |N|N|ANC ||ANC ".
000302     05  VALUE "|C1418".
000303     05  VALUE "|N|N|ABN ||ABN |N|N|ABB ||ABB ".
000304     05  VALUE "|N|N|ABW ||ABW |N|N|ABL ||ABL ".
000305     05  VALUE "|N|N|ABD ||ABD |N|N|ABR ||ABR ".
000306     05  VALUE "|N|N|ABT ||ABT |N|N|ABG ||ABG ".
000307     05  VALUE "|N|N|ABY ||ABY |N|N|ABC ||ABC ".
000308     05  VALUE "|C1424".
000309     05  VALUE "|N|N|AWN ||AWN |N|N|AWB ||AWB ".
000310     05  VALUE "|N|N|AWW ||AWW |N|N|AWL ||AWL ".
000311     05  VALUE "|N|N|AWD ||AWD |N|N|AWR ||AWR ".
000312     05  VALUE "|N|N|AWT ||AWT |N|N|AWG ||AWG ".
000313     05  VALUE "|N|N|AWY ||AWY |N|N|AWC ||AWC ".
000314     05  VALUE "|C1430".
000315     05  VALUE "|N|N|ALN ||ALN |N|N|ALB ||ALB ".
000316     05  VALUE "|N|N|ALW ||ALW |N|N|ALL ||ALL ".
000317     05  VALUE "|N|N|ALD ||ALD |N|N|ALR ||ALR ".
000318     05  VALUE "|N|N|ALT ||ALT |N|N|ALG ||ALG ".
000319     05  VALUE "|N|N|ALY ||ALY |N|N|ALC ||ALC ".
000320     05  VALUE "|C1436".
000321     05  VALUE "|N|N|ADN ||ADN |N|N|ADB ||ADB ".
000322     05  VALUE "|N|N|ADW ||ADW |N|N|ADL ||ADL ".
000323     05  VALUE "|N|N|ADD ||ADD |N|N|ADR ||ADR ".
000324     05  VALUE "|N|N|ADT ||ADT |N|N|ADG ||ADG ".
000325     05  VALUE "|N|N|ADY ||ADY |N|N|ADC ||ADC ".
000326     05  VALUE "|C1442".
000327     05  VALUE "|N|N|ARN ||ARN |N|N|ARB ||ARB ".
000328     05  VALUE "|N|N|ARW ||ARW |N|N|ARL ||ARL ".
000329     05  VALUE "|N|N|ARD ||ARD |N|N|ARR ||ARR ".
000330     05  VALUE "|N|N|ART ||ART |N|N|ARG ||ARG ".
000331     05  VALUE "|N|N|ARY ||ARY |N|N|ARC ||ARC ".
000332     05  VALUE "|C1448".
000333     05  VALUE "|N|N|ATN ||ATN |N|N|ATB ||ATB ".
000334     05  VALUE "|N|N|ATW ||ATW |N|N|ATL ||ATL ".
000335     05  VALUE "|N|N|ATD ||ATD |N|N|ATR ||ATR ".
000336     05  VALUE "|N|N|ATT ||ATT |N|N|ATG ||ATG ".
000337     05  VALUE "|N|N|ATY ||ATY |N|N|ATC ||ATC ".
000338     05  VALUE "|C1454".
000339     05  VALUE "|N|N|AGN ||AGN |N|N|AGB ||AGB ".
000340     05  VALUE "|N|N|AGW ||AGW |N|N|AGL ||AGL ".
000341     05  VALUE "|N|N|AGD ||AGD |N|N|AGR ||AGR ".
000342     05  VALUE "|N|N|AGT ||AGT |N|N|AGG ||AGG ".
000343     05  VALUE "|N|N|AGY ||AGY |N|N|AGC ||AGC ".
000344     05  VALUE "|C1460".
000345     05  VALUE "|N|N|AYN ||AYN |N|N|AYB ||AYB ".
000346     05  VALUE "|N|N|AYW ||AYW |N|N|AYL ||AYL ".
000347     05  VALUE "|N|N|AYD ||AYD |N|N|AYR ||AYR ".
000348     05  VALUE "|N|N|AYT ||AYT |N|N|AYG ||AYG ".
000349     05  VALUE "|N|N|AYY ||AYY |N|N|AYC ||AYC ".
000350     05  VALUE "|C1466".
000351     05  VALUE "|N|N|ACN ||ACN |N|N|ACB ||ACB ".
000352     05  VALUE "|N|N|ACW ||ACW |N|N|ACL ||ACL ".
000353     05  VALUE "|N|N|ACD ||ACD |N|N|ACR ||ACR ".
000354     05  VALUE "|N|N|ACT ||ACT |N|N|ACG ||ACG ".
000355     05  VALUE "|N|N|ACY ||ACY |N|N|ACC ||ACC ".
000356     05  VALUE "|X".
000357 01  FORMAT-TRAILER.
000358     05  VALUE "|ANN|C0101|E6080|ANL|Z|C1522|W1535".
000359     05  VALUE " FORMAT MODULE DEMONSTRATION|C1722".
000360     05  VALUE "|NThis ends the demonstration.".
000361     05  VALUE "|NYou may end the program by pressing".
000362     05  VALUE "|Nthe Esc key, or you may replay it".
000363     05  VALUE "|Nby continuing to press the Enter or".
000364     05  VALUE "|NSpace keys.".
000365     05  VALUE "|X".
000366 LINKAGE SECTION.
000367 SCREEN SECTION.
000368 PROCEDURE DIVISION.
000369 MAIN-ROUTINE SECTION.
000370 MAIN-ENTRY.
000371     PERFORM UNTIL EXIT
000372       DISPLAY FORMAT FORMAT-HEADING STOP
000373       DISPLAY FORMAT STEP-1 STOP
000374       DISPLAY FORMAT STEP-2 STOP
000375       DISPLAY FORMAT STEP-3 STOP
000376       DISPLAY FORMAT STEP-4 STOP
000377       DISPLAY FORMAT STEP-5 STOP
000378       DISPLAY FORMAT STEP-6 STOP
000379       DISPLAY FORMAT STEP-7 STOP
000380       DISPLAY FORMAT STEP-8 STOP
000381       DISPLAY FORMAT STEP-9 STOP
000382       DISPLAY FORMAT STEP-10 STOP
000383       DISPLAY FORMAT STEP-11 STOP
000384       DISPLAY FORMAT STEP-12 STOP
000385       DISPLAY FORMAT STEP-13 STOP
000386       DISPLAY FORMAT STEP-14 STOP
000387       DISPLAY FORMAT STEP-15 STOP
000388       DISPLAY FORMAT STEP-16 STOP
000389       DISPLAY FORMAT STEP-17 STOP
000390       DISPLAY FORMAT FORMAT-TRAILER STOP
000391     END-PERFORM
000392     STOP RUN.
